com.fasterxml.jackson.databind

## Class PropertyNamingStrategies.LowerDotCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategies.LowerDotCaseStrategy

All Implemented Interfaces:
  Serializable

Enclosing class:
  PropertyNamingStrategies

    public static class PropertyNamingStrategies.LowerDotCaseStrategy
    extends PropertyNamingStrategies.NamingBase

Naming strategy similar to `PropertyNamingStrategies.KebabCaseStrategy`, but instead of hyphens as separators, uses dots. Naming convention widely used as configuration properties name.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

Fields
`static PropertyNamingStrategies.LowerDotCaseStrategy` `INSTANCE`

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, PASCAL_CASE_TO_CAMEL_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
Constructor and Description
`LowerDotCaseStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `translate(String input)`

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase

`nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod, translateLowerCaseWithSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PropertyNamingStrategies.LowerDotCaseStrategy INSTANCE

Since:
  2.14

### Constructor Detail

#### LowerDotCaseStrategy

    public LowerDotCaseStrategy()

### Method Detail

#### translate

    public String translate(String input)

Specified by:
  `translate` in class `PropertyNamingStrategies.NamingBase`